Annotation Interface OpenApi.Link
- Enclosing class:
OpenApi
OpenAPI Link Object metadata.
A link must define exactly one of operationRef() or operationId().
Declarative OpenAPI generation supports string-valued link parameters and request bodies. Use
OpenApiDocument.LinkBuilder for other OpenAPI value types.
-
Required Element Summary
Required Elements -
Optional Element Summary
Optional ElementsModifier and TypeOptional ElementDescriptionLink description.Operation ID.Operation reference.Parameters passed to the linked operation.Literal string or runtime expression used as the linked operation request body.
-
Element Details
-
name
-
operationRef
String operationRefOperation reference.Mutually exclusive with
operationId().- Returns:
- operation reference
- Default:
""
-
operationId
String operationIdOperation ID.Mutually exclusive with
operationRef().- Returns:
- operation ID
- Default:
""
-
parameters
OpenApi.LinkParameter[] parametersParameters passed to the linked operation.- Returns:
- link parameters
- Default:
{}
-
requestBody
String requestBodyLiteral string or runtime expression used as the linked operation request body.- Returns:
- request body
- Default:
""
-
description
-